[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.TextOut

Draws an string without formatting (single line).

## Declaration

Source position: winapih.inc line 282

`public function TWidgetSet.TextOut(`
`DC: HDC;`
`X: Integer;`
`Y: Integer;`
`Str: Pchar;`
`Count: Integer`
`):Boolean; virtual;`

## Arguments

`DC` |  | The Device Context.
`X` |  | The text origin in logical coordinates.
`Y` |  | The text origin in logical coordinates.
`Str` |  | The text.
`Count` |  | The number of (Wide)Chars in the string.

## Function result

False on failure.

## See also

TWidgetSet.ExtTextOut |  | Draws a string without formatting (single line).